/* jshint esversion : 6 */
/* jshint ignore: start */

const axios = require('axios');
//
let xsrfCookieName = 'XSRF-TOKEN';
let xsrfHeaderName = 'X-XSRF-TOKEN';
let transormHeaders = null;
//
class XHR {

    set xsrfCookieName(c) {
        xsrfCookieName = c;
    }

    set xsrfHeaderName(c) {
        xsrfHeaderName = c;
    }

    set transormHeaders(t) {
        transormHeaders = t;
    }

    xhr(o) {

        if (transormHeaders) {
            o.headers = transormHeaders();
        }
        o.xsrfCookieName = xsrfCookieName;
        o.xsrfHeaderName = xsrfHeaderName;


        return new Promise(async resolve => {

            const jwt = $localStorage.getItem('jwt');
            if (jwt) {
                httpParams.headers = { 'Authorization': jwt.token };
            }
            //
            //
            axios(o).then(({ data }) => resolve(data)).catch(e => { throw e; });

        });
    }

}


module.exports = new XHR();