/* jshint esversion : 6 */
/* jshint ignore : start */


module.exports = function() {

    return async function BulkUpdate({ dbName, storeNames, key, query = {} }, notify) {

        if (!query.data) throw 'no data to insert';


        query.cmd = 'udpate';
        const Update = data => this.Cursor({ dbName, storeNames, key, query }, notify);
        const Insert = data => this.Insert({ dbName, storeNames, key, query: { cmd: 'put', data: query.data } });

        const queue = query.data.map(async e => {
            try {
                await Insert(e);
                return e;
            } catch (e) {
                try {
                    await Update(e);
                    return e;
                } catch (err) {
                    throw err;
                }
            }
        });

        await Promise.all(queue);

        return { msg: 'end' };
    };

};