/* jshint esversion : 6 */

module.exports = isKeyRange;

function isKeyRange(key) {
    return (
        key != null &&
        "object" === typeof key &&
        !Array.isArray(key) &&
        key.hasOwnProperty('range') &&
        key.hasOwnProperty('limit')
    );
}