/* jshint esversion : 6 */


function areIndexesChange(objectStore, configIndexes) {
    //
    const currentIndexes = Array.from(objectStore.indexNames);
    const configIndexesNames = configIndexes.map(e => e.name);

    const toDelete = currentIndexes.filter(e => {
        if (configIndexesNames.indexOf(e) === -1)
            return e;
    });

    const toAdd = configIndexes.filter(e => {
        if (currentIndexes.indexOf(e.name) === -1)
            return e;
    });

    const isChange = (toDelete.length + toAdd.length);


    return { toDelete, toAdd, isChange };

}


module.exports = areIndexesChange;