/* jshint esversion : 6 */

self.importScripts(
    '../assets/polyfill.min.js',
    '../assets/indexeddbshim-UnicodeIdentifiers.min.js',
    '../assets/$objectStore.js'
);


/* jshint ignore : start */
self.onmessage = ({ data }) => execCreateObjectStore(data, self);

self.onconnect = ({ ports: [port] }) => {
    port.onmessage = ({ data }) => execCreateObjectStore(data, port);
};


async function execCreateObjectStore(data, trigger) {
    const { createObjectStore } = $objectStore;
    const res = await createObjectStore(data).catch(e => { throw e; });

    trigger.postMessage(res);
}
/* jshint ignore: end */