/* jshint esversion : 6 */


self.importScripts(
    '../assets/polyfill.min.js',
    '../assets/indexeddbshim-UnicodeIdentifiers.min.js',
    '../assets/$objectStore.js'
);

/* jshint ignore : start */
self.onmessage = ({ data }) => execDeleteObjectStore(data, self);

self.onconnect = ({ ports: [port] }) => {
    port.onmessage = ({ data }) => execDeleteObjectStore(data, port);
};


async function execDeleteObjectStore(data, trigger) {
    const { deleteObjectStore } = $objectStore;
    const res = await deleteObjectStore(data).catch(e => { throw e; });

    trigger.postMessage(res);
}
/* jshint ignore: end */