/* jshint esversion : 6 */

self.importScripts(
    '../assets/polyfill.min.js',
    '../assets/indexeddbshim-UnicodeIdentifiers.min.js',
    '../assets/$objectStore.js'
);

/* jshint ignore : start */
self.onmessage = ({ data }) => execIndexNames(data, self);

self.onconnect = ({ ports: [port] }) => {
    port.onmessage = ({ data }) => execIndexNames(data, port);
};


async function execIndexNames(data, trigger) {

    const { indexNames } = $objectStore;
    const res = await indexNames(data).catch(e => { throw e; });

    trigger.postMessage(res);
}
/* jshint ignore: end */