/* jshint esversion : 6 */
/* jshint ignore : start */
self.importScripts(
    '../assets/polyfill.min.js',
    '../assets/indexeddbshim-UnicodeIdentifiers.min.js',
    '../assets/$queries.js'
);


self.onmessage = ({ data }) => execBulkInsert(data, self);

self.onconnect = ({ ports: [port] }) => {
    port.onmessage = ({ data }) => execBulkInsert(data, port);
};


async function execBulkInsert(data, trigger) {
    const { BulkInsert } = $queries;
    const res = await BulkInsert(data, n => trigger.postMessage(n)).catch(e => { throw e; });
    trigger.postMessage(res);
};