/* jshint esversion : 6 */
/* jshint ignore : start */

self.importScripts(
    '../assets/polyfill.min.js',
    '../assets/indexeddbshim-UnicodeIdentifiers.min.js',
    '../assets/$queries.js'
);

self.onmessage = ({ data }) => execCursorUpdate(data, self);

self.onconnect = ({ ports: [port] }) => {
    port.onmessage = ({ data }) => execCursorUpdate(data, port);
};


async function execCursorUpdate(data, trigger) {
    const { CursorUpdate } = $queries;
    const res = await CursorUpdate(data, n => trigger.postMessage(n)).catch(e => { throw e; });
    trigger.postMessage(res);
}