/* jshint esversion : 6 */
/* jshint ignore : start */

self.importScripts(
    '../assets/polyfill.min.js',
    '../assets/indexeddbshim-UnicodeIdentifiers.min.js',
    '../assets/$queries.js'
);

self.onmessage = ({ data }) => execInsert(data, self);

self.onconnect = ({ ports: [port] }) => {
    port.onmessage = ({ data }) => execInsert(data, port);
};


async function execInsert(data, trigger) {
    const { Insert } = $queries;
    const res = await Insert(data).catch(e => { throw e; });
    trigger.postMessage(res);
}