/* jshint esversion : 6 */


exports.test = function isKeyRange(key) {
    return (
        key != null &&
        "object" === typeof key &&
        !Array.isArray(key) &&
        key.hasOwnProperty('range') &&
        key.hasOwnProperty('limit')
    );
};


exports.set = function(limit, ...args) {
    const a = Array.from(arguments);
    if (!a.length)
        return null;
    else
        return IDBKeyRange[limit].apply(IDBKeyRange, args);
};