/* jshint esversion : 6 */

const XHR = require('./XHR');
const __schedules = {};

/* jshint ignore : start */
class IDBCron extends XHR {
    constructor() {
        super();
    }

    get schedules() {
        return __schedules;
    }

    cronWorker({ taskName, onTime: cronExpression, timezone, scheduled }) {
        return this.wq({
            path: 'cron.js',
            req: { taskName, cronExpression, timezone, scheduled },
            shared: true
        }).catch(err => fn(err, null));
    }



    syncXhrData(o, fn) {

        const newTask = async(o, fn) => {
            const { taskName, httpParams } = o;


            await this.cronWorker(o).catch(err => fn(err, null));


            const data = await this.xhr(httpParams).catch(err => fn(err, null));
            fn(null, data);

            __schedules[taskName] = newTask(o, fn);
        };

        __schedules[o.taskName] = newTask(o, fn);


        return this;
    }



}




module.exports = IDBCron;