/* jshint esversion : 6 */

module.exports = isKeyPathChange;

function isKeyPathChange(objectStore, keyPathConfig) {

    const currentKeyPath = Array.from(objectStore.keyPath);

    const toDelete = currentKeyPath.filter(e => {
        if (keyPathConfig.indexOf(e) === -1)
            return e;
    });

    const toAdd = keyPathConfig.filter(e => {
        if (currentKeyPath.indexOf(e) === -1)
            return e;
    });

    const isChange = (toDelete.length + toAdd.length);


    return { toDelete, toAdd, isChange };

}