/* jshint esversion : 6 */
self.importScripts(
    'assets/polyfill.min.js',
    'assets/indexeddbshim-UnicodeIdentifiers.min.js',
    'assets/$idb.js'
);

/* jshint ignore: start */
self.onmessage = ({ data }) => execIDBCheckStoreConfig(data, self);

self.onconnect = ({ ports: [port] }) => {
    port.onmessage = ({ data }) => execIDBCheckStoreConfig(data, port);
};


async function execIDBCheckStoreConfig(data, trigger) {
    const { IDBCheckStoreConfig } = $idb;
    const res = await IDBCheckStoreConfig(data).catch(e => { throw e; });
    trigger.postMessage(res);
}