/* jshint esversion : 6 */



self.importScripts(
    'assets/polyfill.min.js',
    'assets/indexeddbshim-UnicodeIdentifiers.min.js',
    'assets/$idb.js'
);

/* jshint ignore: start */
self.onmessage = ({ data }) => execIDBObjectStoreNames(data, self);

self.onconnect = ({ ports: [port] }) => {
    port.onmessage = ({ data }) => execIDBObjectStoreNames(data, port);
};


async function execIDBObjectStoreNames(data, trigger) {
    const { IDBObjectStoreNames } = $idb;
    const res = await IDBObjectStoreNames(data).catch(e => { throw e; });
    trigger.postMessage(res);
}
/* jshint ignore: end */